Package weka.classifiers.rules.part

# Class MakeDecList

java.lang.Object
weka.classifiers.rules.part.MakeDecList

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class MakeDecList extends Object implements Serializable, RevisionHandler
Class for handling a decision list.

Version:
  $Revision: 14534 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MakeDecList(ModelSelection toSelectLocModel, double cf, int minNum)`
  Constructor for dec list pruned using C4.5 pruning.
  `MakeDecList(ModelSelection toSelectLocModel, int minNum)`
  Constructor for unpruned dec list.
  `MakeDecList(ModelSelection toSelectLocModel, int num, int minNum, int seed)`
  Constructor for dec list pruned using hold-out pruning.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(Instances data)`
  Builds dec list.
  `double`
  `classifyInstance(Instance instance)`
  Classifies an instance.
  `double[]`
  `distributionForInstance(Instance instance)`
  Returns the class distribution for an instance.
  `String`
  `getRevision()`
  Returns the revision string.
  `int`
  `numRules()`
  Outputs the number of rules in the classifier.
  `String`
  `toString()`
  Outputs the classifier into a string.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MakeDecList

    public MakeDecList(ModelSelection toSelectLocModel, int minNum)
    Constructor for unpruned dec list.

  - ### MakeDecList

    public MakeDecList(ModelSelection toSelectLocModel, double cf, int minNum)
    Constructor for dec list pruned using C4.5 pruning.

  - ### MakeDecList

    public MakeDecList(ModelSelection toSelectLocModel, int num, int minNum, int seed)
    Constructor for dec list pruned using hold-out pruning.

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(Instances data) throws Exception
    Builds dec list.
    Throws:
      `Exception` - if dec list can't be built successfully

  - ### toString

    public String toString()
    Outputs the classifier into a string.
    Overrides:
      `toString` in class `Object`

  - ### classifyInstance

    public double classifyInstance(Instance instance) throws Exception
    Classifies an instance.
    Throws:
      `Exception` - if instance can't be classified

  - ### distributionForInstance

    public double[] distributionForInstance(Instance instance) throws Exception
    Returns the class distribution for an instance.
    Throws:
      `Exception` - if distribution can't be computed

  - ### numRules

    public int numRules()
    Outputs the number of rules in the classifier.

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision